package main

import (
	"git.joco.dk/sng/fermentord/internal/controllers"
	"git.joco.dk/sng/fermentord/internal/dal"
)

func convertChamberState(state controllers.ChamberState) dal.ChamberState {
	switch state {
	case controllers.ChamberStateIdle:
		return dal.ChamberStateIdle

	case controllers.ChamberStateCooling:
		return dal.ChamberStateCooling

	case controllers.ChamberStateHeating:
		return dal.ChamberStateHeating

	default:
		return dal.ChamberStateIdle
	}
}
